Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd.cppast
Interface CPPParserConstants

All Known Implementing Classes:
  CPPParserTokenManager

public interface CPPParserConstants

Field Summary
`static int` | `_DEFAULT`
`static int` | `AMPERSAND`
`static int` | `AND`
`static int` | `ARROWSTAR`
`static int` | `ASSIGNEQUAL`
`static int` | `AUTO`
`static int` | `BITWISEANDEQUAL`
`static int` | `BITWISEOR`
`static int` | `BITWISEOREQUAL`
`static int` | `BITWISEXOR`
`static int` | `BITWISEXOREQUAL`
`static int` | `BREAK`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CHARACTER`
`static int` | `CLASS`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONST`
`static int` | `CONTINUE`
`static int` | `DECIMALINT`
`static int` | `DECIMALLONG`
`static int` | `DEFAULT`
`static int` | `DELETE`
`static int` | `DIVIDE`
`static int` | `DIVIDEEQUAL`
`static int` | `DO`
`static int` | `DOT`
`static int` | `DOTSTAR`
`static int` | `DOUBLE`
`static int` | `ELLIPSIS`
`static int` | `ELSE`
`static int` | `ENUM`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `EXTERN`
`static int` | `FALSETOK`
`static int` | `FLOAT`
`static int` | `FLOATONE`
`static int` | `FLOATTWO`
`static int` | `FOR`
`static int` | `FRIEND`
`static int` | `GOTO`
`static int` | `GREATERTHAN`
`static int` | `GREATERTHANOREQUALTO`
`static int` | `HEXADECIMALINT`
`static int` | `HEXADECIMALLONG`
`static int` | `ID`
`static int` | `IF`
`static int` | `IN_COMMENT`
`static int` | `IN_LINE_COMMENT`
`static int` | `IN_PREPROCESSOR_OUTPUT_COMMENT`
`static int` | `INLINE`
`static int` | `INT`
`static int` | `LCURLYBRACE`
`static int` | `LESSTHAN`
`static int` | `LESSTHANOREQUALTO`
`static int` | `LONG`
`static int` | `LPARENTHESIS`
`static int` | `LSQUAREBRACKET`
`static int` | `MINUS`
`static int` | `MINUSEQUAL`
`static int` | `MINUSMINUS`
`static int` | `MOD`
`static int` | `MODEQUAL`
`static int` | `NEW`
`static int` | `NOT`
`static int` | `NOTEQUAL`
`static int` | `OCTALINT`
`static int` | `OCTALLONG`
`static int` | `OPERATOR`
`static int` | `OR`
`static int` | `PLUS`
`static int` | `PLUSEQUAL`
`static int` | `PLUSPLUS`
`static int` | `POINTERTO`
`static int` | `PREPROCESSOR_OUTPUT`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `QUESTIONMARK`
`static int` | `RCURLYBRACE`
`static int` | `REDECLARED`
`static int` | `REGISTER`
`static int` | `RETURN`
`static int` | `RPARENTHESIS`
`static int` | `RSQUAREBRACKET`
`static int` | `SCOPE`
`static int` | `SEMICOLON`
`static int` | `SHIFTLEFT`
`static int` | `SHIFTLEFTEQUAL`
`static int` | `SHIFTRIGHT`
`static int` | `SHIFTRIGHTEQUAL`
`static int` | `SHORT`
`static int` | `SIGNED`
`static int` | `SIZEOF`
`static int` | `STAR`
`static int` | `STATIC`
`static int` | `STRING`
`static int` | `STRUCT`
`static int` | `SWITCH`
`static int` | `TEMPLATE`
`static int` | `THIS`
`static int` | `THROW`
`static int` | `TILDE`
`static int` | `TIMESEQUAL`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRUETOK`
`static int` | `TRY`
`static int` | `TYPEDEF`
`static int` | `UNION`
`static int` | `UNSIGNED`
`static int` | `UNSIGNED_DECIMALINT`
`static int` | `UNSIGNED_DECIMALLONG`
`static int` | `UNSIGNED_HEXADECIMALINT`
`static int` | `UNSIGNED_HEXADECIMALLONG`
`static int` | `UNSIGNED_OCTALINT`
`static int` | `UNSIGNED_OCTALLONG`
`static int` | `VIRTUAL`
`static int` | `VOID`
`static int` | `VOLATILE`
`static int` | `WHILE`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### LCURLYBRACE

    public static final int LCURLYBRACE

See Also:
  Constant Field Values

### RCURLYBRACE

    public static final int RCURLYBRACE

See Also:
  Constant Field Values

### LSQUAREBRACKET

    public static final int LSQUAREBRACKET

See Also:
  Constant Field Values

### RSQUAREBRACKET

    public static final int RSQUAREBRACKET

See Also:
  Constant Field Values

### LPARENTHESIS

    public static final int LPARENTHESIS

See Also:
  Constant Field Values

### RPARENTHESIS

    public static final int RPARENTHESIS

See Also:
  Constant Field Values

### SCOPE

    public static final int SCOPE

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### SEMICOLON

    public static final int SEMICOLON

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### QUESTIONMARK

    public static final int QUESTIONMARK

See Also:
  Constant Field Values

### ELLIPSIS

    public static final int ELLIPSIS

See Also:
  Constant Field Values

### ASSIGNEQUAL

    public static final int ASSIGNEQUAL

See Also:
  Constant Field Values

### TIMESEQUAL

    public static final int TIMESEQUAL

See Also:
  Constant Field Values

### DIVIDEEQUAL

    public static final int DIVIDEEQUAL

See Also:
  Constant Field Values

### MODEQUAL

    public static final int MODEQUAL

See Also:
  Constant Field Values

### PLUSEQUAL

    public static final int PLUSEQUAL

See Also:
  Constant Field Values

### MINUSEQUAL

    public static final int MINUSEQUAL

See Also:
  Constant Field Values

### SHIFTLEFTEQUAL

    public static final int SHIFTLEFTEQUAL

See Also:
  Constant Field Values

### SHIFTRIGHTEQUAL

    public static final int SHIFTRIGHTEQUAL

See Also:
  Constant Field Values

### BITWISEANDEQUAL

    public static final int BITWISEANDEQUAL

See Also:
  Constant Field Values

### BITWISEXOREQUAL

    public static final int BITWISEXOREQUAL

See Also:
  Constant Field Values

### BITWISEOREQUAL

    public static final int BITWISEOREQUAL

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### BITWISEOR

    public static final int BITWISEOR

See Also:
  Constant Field Values

### BITWISEXOR

    public static final int BITWISEXOR

See Also:
  Constant Field Values

### AMPERSAND

    public static final int AMPERSAND

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NOTEQUAL

    public static final int NOTEQUAL

See Also:
  Constant Field Values

### LESSTHAN

    public static final int LESSTHAN

See Also:
  Constant Field Values

### GREATERTHAN

    public static final int GREATERTHAN

See Also:
  Constant Field Values

### LESSTHANOREQUALTO

    public static final int LESSTHANOREQUALTO

See Also:
  Constant Field Values

### GREATERTHANOREQUALTO

    public static final int GREATERTHANOREQUALTO

See Also:
  Constant Field Values

### SHIFTLEFT

    public static final int SHIFTLEFT

See Also:
  Constant Field Values

### SHIFTRIGHT

    public static final int SHIFTRIGHT

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### STAR

    public static final int STAR

See Also:
  Constant Field Values

### DIVIDE

    public static final int DIVIDE

See Also:
  Constant Field Values

### MOD

    public static final int MOD

See Also:
  Constant Field Values

### PLUSPLUS

    public static final int PLUSPLUS

See Also:
  Constant Field Values

### MINUSMINUS

    public static final int MINUSMINUS

See Also:
  Constant Field Values

### TILDE

    public static final int TILDE

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### POINTERTO

    public static final int POINTERTO

See Also:
  Constant Field Values

### DOTSTAR

    public static final int DOTSTAR

See Also:
  Constant Field Values

### ARROWSTAR

    public static final int ARROWSTAR

See Also:
  Constant Field Values

### AUTO

    public static final int AUTO

See Also:
  Constant Field Values

### BREAK

    public static final int BREAK

See Also:
  Constant Field Values

### CASE

    public static final int CASE

See Also:
  Constant Field Values

### CATCH

    public static final int CATCH

See Also:
  Constant Field Values

### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

### CONST

    public static final int CONST

See Also:
  Constant Field Values

### CONTINUE

    public static final int CONTINUE

See Also:
  Constant Field Values

### _DEFAULT

    public static final int _DEFAULT

See Also:
  Constant Field Values

### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

### DO

    public static final int DO

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### ELSE

    public static final int ELSE

See Also:
  Constant Field Values

### ENUM

    public static final int ENUM

See Also:
  Constant Field Values

### EXTERN

    public static final int EXTERN

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### FOR

    public static final int FOR

See Also:
  Constant Field Values

### FRIEND

    public static final int FRIEND

See Also:
  Constant Field Values

### GOTO

    public static final int GOTO

See Also:
  Constant Field Values

### IF

    public static final int IF

See Also:
  Constant Field Values

### INLINE

    public static final int INLINE

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### NEW

    public static final int NEW

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### REDECLARED

    public static final int REDECLARED

See Also:
  Constant Field Values

### REGISTER

    public static final int REGISTER

See Also:
  Constant Field Values

### RETURN

    public static final int RETURN

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### SIGNED

    public static final int SIGNED

See Also:
  Constant Field Values

### SIZEOF

    public static final int SIZEOF

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### STRUCT

    public static final int STRUCT

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### SWITCH

    public static final int SWITCH

See Also:
  Constant Field Values

### TEMPLATE

    public static final int TEMPLATE

See Also:
  Constant Field Values

### THIS

    public static final int THIS

See Also:
  Constant Field Values

### TRY

    public static final int TRY

See Also:
  Constant Field Values

### TYPEDEF

    public static final int TYPEDEF

See Also:
  Constant Field Values

### UNION

    public static final int UNION

See Also:
  Constant Field Values

### UNSIGNED

    public static final int UNSIGNED

See Also:
  Constant Field Values

### VIRTUAL

    public static final int VIRTUAL

See Also:
  Constant Field Values

### VOID

    public static final int VOID

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### WHILE

    public static final int WHILE

See Also:
  Constant Field Values

### OPERATOR

    public static final int OPERATOR

See Also:
  Constant Field Values

### TRUETOK

    public static final int TRUETOK

See Also:
  Constant Field Values

### FALSETOK

    public static final int FALSETOK

See Also:
  Constant Field Values

### THROW

    public static final int THROW

See Also:
  Constant Field Values

### OCTALINT

    public static final int OCTALINT

See Also:
  Constant Field Values

### OCTALLONG

    public static final int OCTALLONG

See Also:
  Constant Field Values

### UNSIGNED_OCTALINT

    public static final int UNSIGNED_OCTALINT

See Also:
  Constant Field Values

### UNSIGNED_OCTALLONG

    public static final int UNSIGNED_OCTALLONG

See Also:
  Constant Field Values

### DECIMALINT

    public static final int DECIMALINT

See Also:
  Constant Field Values

### DECIMALLONG

    public static final int DECIMALLONG

See Also:
  Constant Field Values

### UNSIGNED_DECIMALINT

    public static final int UNSIGNED_DECIMALINT

See Also:
  Constant Field Values

### UNSIGNED_DECIMALLONG

    public static final int UNSIGNED_DECIMALLONG

See Also:
  Constant Field Values

### HEXADECIMALINT

    public static final int HEXADECIMALINT

See Also:
  Constant Field Values

### HEXADECIMALLONG

    public static final int HEXADECIMALLONG

See Also:
  Constant Field Values

### UNSIGNED_HEXADECIMALINT

    public static final int UNSIGNED_HEXADECIMALINT

See Also:
  Constant Field Values

### UNSIGNED_HEXADECIMALLONG

    public static final int UNSIGNED_HEXADECIMALLONG

See Also:
  Constant Field Values

### FLOATONE

    public static final int FLOATONE

See Also:
  Constant Field Values

### FLOATTWO

    public static final int FLOATTWO

See Also:
  Constant Field Values

### CHARACTER

    public static final int CHARACTER

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### IN_LINE_COMMENT

    public static final int IN_LINE_COMMENT

See Also:
  Constant Field Values

### IN_COMMENT

    public static final int IN_COMMENT

See Also:
  Constant Field Values

### IN_PREPROCESSOR_OUTPUT_COMMENT

    public static final int IN_PREPROCESSOR_OUTPUT_COMMENT

See Also:
  Constant Field Values

### PREPROCESSOR_OUTPUT

    public static final int PREPROCESSOR_OUTPUT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.